> ## Name

> cgGetEffectName - get an effect's name

> ## Synopsis

>     #include <Cg/cg.h>

>     const char * cgGetEffectName( CGeffect effect );

> ## Parameters

> effect
>   The effect from which the name will be retrieved.

> ## Return Values

> Returns the name from the specified effect.

> Returns NULL if the effect doesn't have a valid name or an error occurs.

> ## Description

> cgGetEffectName returns the name from the specified effect.

> ## Examples

>     char *effectSource = ...;
>     CGcontext context = cgCreateContext();
>     CGeffect effect = cgCreateEffect(context, effectSource, NULL);

>     const char* myEffectName = "myEffectName";
>     CGbool okay = cgSetEffectName(effect, myEffectName);
>     if (!okay) {
>       /* handle error */
>     }

>     const char* testName = cgGetEffectName(effect);

>     if (strcmp(testName, myEffectName)) {
>       /* shouldn't be here */
>     }

> ## Errors

> CG_INVALID_EFFECT_HANDLE_ERROR is generated if effect is not a valid effect.

> ## History

> cgGetEffectName was introduced in Cg 1.5.

> ## See Also

> cgSetEffectName